ZPOOL-ATTACH(8)

NAME
zpool-attach - attach new device to existing ZFS vdev

SYNOPSIS
zpool attach [-fsw] [-o property=value] pool device new_device

DESCRIPTION
Attaches new_device to the existing device. The existing device cannot be part of a raidz configuration. If device is not currently part of a mirrored configuration, device automatically transforms into a two-way mirror of device and new_device. If device is part of a two-way mirror, attaching new_device creates a three-way mirror, and so on. In either case, new_device begins to resilver immediately and any running scrub is cancelled.

-f  Forces use of new_device, even if it appears to be in use. Not all devices can be overridden in this manner.

-o property=value
    Sets the given pool properties. See the zpoolprops(7) manual page for a list of valid properties that can be set. The only property supported at the moment is ashift.

-s  The new_device is reconstructed sequentially to restore redundancy as quickly as possible. Checksums are not verfied during sequential reconstruction so a scrub is started when the resilver completes. Sequential reconstruction is not supported for raidz configurations.

-w  Waits until new_device has finished resilvering before returning.

SEE ALSO
zpool-add(8), zpool-detach(8), zpool-import(8), zpool-initialize(8), zpool-online(8), zpool-replace(8), zpool-resilver(8)